apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  labels:
    machine.openshift.io/cluster-api-cluster: aravindh-winc-gzfrt
  name: winworker
  namespace: openshift-machine-api
spec:
  replicas: 1
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: aravindh-winc-gzfrt
      machine.openshift.io/cluster-api-machineset: winworker
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: aravindh-winc-gzfrt
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: winworker
        machine.openshift.io/os-id: Windows
        windowsmachineconfig.openshift.io/ignore: "true"
    spec:
      metadata:
        labels:
          node-role.kubernetes.io/worker: ""
      providerSpec:
        value:
          ami:
            id: ami-0ce819477df21a68f
          apiVersion: awsproviderconfig.openshift.io/v1beta1
          blockDevices:
            - ebs:
                iops: 0
                volumeSize: 120
                volumeType: gp2
          credentialsSecret:
            name: aws-cloud-credentials
          deviceIndex: 0
          iamInstanceProfile:
            id: aravindh-winc-gzfrt-worker-profile
          instanceType: m5a.large
          kind: AWSMachineProviderConfig
          placement:
            availabilityZone: us-west-1a
            region: us-west-1
          securityGroups:
            - filters:
                - name: tag:Name
                  values:
                    - aravindh-winc-gzfrt-worker-sg
          subnet:
            filters:
              - name: tag:Name
                values:
                  - aravindh-winc-gzfrt-private-us-west-1a
          tags:
            - name: kubernetes.io/cluster/aravindh-winc-gzfrt
              value: owned
          userDataSecret:
            name: windows-user-data
